#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Cisco wlc cpu metrics plugin
#
# Author: Th.L.
# Date  : 2018-08-05
#
#

#####################################################################################################################
#
# define units
#
#####################################################################################################################



#####################################################################################################################
#
# define metrics
#
#####################################################################################################################

metric_info['cisco_wlc_cpu_usage'] = {
    'title': _('CPU utilization'),
    'unit': '%',
    'color': '26/a',
}

######################################################################################################################
#
# map perfdata to metric
#
######################################################################################################################

check_metrics['check_mk-cisco_wlc_cpu'] = {
    'cpu_usage': {'name': 'cisco_wlc_cpu_usage', },
}

######################################################################################################################
#
# how to graph perdata
#
######################################################################################################################

graph_info.append({
    'title': _('WLAN controller CPU utilization'),
    'metrics': [
        ('cisco_wlc_cpu_usage', 'area'),
    ],
    'range': (0, 100),
    'scalars': [
        ('cisco_wlc_cpu_usage:crit', _('crit level')),
        ('cisco_wlc_cpu_usage:warn', _('warn level')),
    ],
})

######################################################################################################################
#
# define perf-o-meter
#
######################################################################################################################

perfometer_info.append({
    'type': 'logarithmic',
    'metric': 'cisco_wlc_cpu_usage',
    'half_value': 150,
    'exponent': 2,
})
